// $Id: is_member.h,v 1.1 2017/03/21 02:44:37 leavens Exp leavens $
#ifndef IS_MEMBER_H
#define IS_MEMBER_H 1
#include <stdbool.h>

/* requires: sought is a pointer to a null-terminated string that is allocated
             and for each i such that 0 <= i < strs_sz, strs[i]
             is a null-terminatd string;
   ensures: result is true just when the string sought is equal to a string
            in strs (i.e., when there is some i such that 0 <= i < strs_sz
            and sought equals strs[i]).
 */
extern bool is_member(const char *sought, const char * const strs[],
	              const int strs_sz);
#endif
