// $Id: ivec_scalar_mult.h,v 1.1 2017/03/20 03:53:22 leavens Exp $
#ifndef IVEC_SCALAR_MULT_H
#define IVEC_SCALAR_MULT_H 1
#include "ivec_len.h"

/* requires: target contains an element that is 0
   assigns: target[0 .. ivec_len(target)]
   effect: for all i such that 0 <= i < ivec_len(target),
           target[i] becomes the old value of target[i] times x,
           and all elements in target past the first 0 are unchanged.
*/
extern void ivec_scalar_mult(int target[], const int x);
#endif
