// $Id: test_data_ivec.h,v 1.4 2017/03/20 11:39:24 leavens Exp leavens $

#ifndef TEST_DATA_IVEC_H
#define TEST_DATA_IVEC_H 1

#include <stdbool.h>

extern int v0[];
extern int v1[];
extern int v3223[];
extern int v3123[];
extern int v2123[];
extern int v3323[];
extern int v3224[];
extern int v3221[];
extern int v3223ext[];
extern int vucf[];
#define VTO100_SIZE 101
extern int vto100[];

// assigns: all of the above array elements
// effect: initialize the test data arrays
extern
void init_test_data();

/* requires: value and expected have at least sz elements
   ensures: result is true just when the first sz elements of value
            are equal to the first sz elements of expected, i.e.,
	    the result is true just when
               for all i such that 0 <= i < sz, value[i] == expected[i].
*/
extern
bool array_equals(const int value[], const int expected[], int sz);
    
#endif

