// $Id: ivec_add.h,v 1.1 2017/03/20 03:53:22 leavens Exp $
#ifndef IVEC_ADD_H
#define IVEC_ADD_H 1
#include "ivec_len.h"

/* requires: the ivec_len(target) <= ivec_len(src);
   assigns: target[0 .. ivec_len(target)];
   effect: for all i such that 0 <= i < ivec_len(target),
           target[i] becomes the old value of target[i] plus src[i],
           and all elements in target past the first 0 are unchanged.
*/
extern void ivec_add(int target[], const int src[]);
#endif
