// $Id: no_dups.h,v 1.1 2017/03/21 02:44:37 leavens Exp leavens $
#ifndef NO_DUPS_H
#define NO_DUPS_H 1
#include <stdbool.h>

/* requires: for each i such that 0 <= i < strs_sz, strs[i]
             is a null-terminatd string;
   ensures: result is true just when there are no duplicate strings in strs.
            (i.e., when there is no i, j such that 0 <= i < j < strs_sz
            and strs[i] equals strs[j]).
 */
extern bool no_dups(const char * const strs[], const int strs_sz);
#endif
