// $Id: test_ivec_len.c,v 1.5 2017/03/21 03:12:06 leavens Exp leavens $
// Compile with
// gcc tap.c ivec_len.c test_data_ivec.c test_ivec_len.c -o test_ivec_len
#include "tap.h"
#include "ivec_len.h"

// declarations of test data (see test_data_ivec.c) used below
#include "test_data_ivec.h"

// testing for ivec_len().
int main() {
    plan(11);
    int v[] = {9, 7, 8, 6, 9, 0, 5, 4, 0};
    ok(ivec_len(v) == 5, "ivec_len(v) == 5");
    // using test data from ivec_test_data.c below
    init_test_data();
    ok(ivec_len(v0) == 0, "ivec_len(v0) == 0");
    ok(ivec_len(v1) == 1, "ivec_len(v1) == 1");
    ok(ivec_len(v3223) == 4, "ivec_len(v3223) == 4");
    ok(ivec_len(v3123) == 4, "ivec_len(v3123) == 4");
    ok(ivec_len(v2123) == 4, "ivec_len(v2123) == 4");
    ok(ivec_len(v3323) == 4, "ivec_len(v3123) == 4");
    ok(ivec_len(v3224) == 4, "ivec_len(v3224) == 4");
    ok(ivec_len(v3223ext) == 4, "ivec_len(v3224ext) == 4");
    ok(ivec_len(vucf) == 3, "ivec_len(vucf) == 3");
    int l100 = ivec_len(vto100);
    ok(l100 == 100, "ivec_len(vto100) == 100, result was %d", l100);
    return exit_status();
}
